      Program FuncPlot
* Program to graph the function y = func(x)
* on the interval -3.5 to 3.5

* CIS 106
* graph1.f

      Real X, Y, Func
      Integer I
                                                       
* Initialize the plot:
      Call SetPlt(71,41, 6,'   Plot Of Function' )

      Do 100 I = -350, 350
*        Calculate the (x,y) coords
*        and store the point:
         X =  I/100.
         Y =  Func(X)
         Call StoPnt( X, Y, '+')                                
100   Continue                                                 

*     generate the plot:
      Call Plot(1)                                            
      End                                                    


* The function under study                            
      Real Function Func(U)                               
      Real U
      Func = Exp(U) + Exp(-U*Log(2.0)) + 2.0*Cos(U) - 6.0      
      End                                                       
